Subject: Re: bug#15610: 24.3; Implement (network-interface-list) on Windows
From: Eli Zaretskii <[email-masked]>
To: Glenn Morris <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 16 Oct 2013 18:47:34 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Glenn Morris <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 14 Oct 2013 23:41:35 -0400
> 
> Eli Zaretskii wrote:
> 
> >> Date: Mon, 14 Oct 2013 20:20:57 +0300
> >> From: Eli Zaretskii <[email-masked]>
> >> Cc: [email-masked]
> >> 
> >> The Cygwin library code for this is in net.cc.  Volunteers are welcome
> >> to lift it from there into some w32*.c file inside Emacs.
> >
> > Of course, the necessary paperwork needs to be done, as the Cygwin
> > code is copyrighted by RH.
> 
> Red Hat has a general assignment for all contributions to FSF projects,
> so you'd "just" need to convince them to contribute this to Emacs.

Thanks, this is good to know.

> (But I imagine it's less hassle to reimplement it.)

Right, so I just went away and did it in trunk revision 114686.

> AFAIK (which is not very far), the "ipconfig" utility on MS Windows
> returns the relevant network info

It comes close, but not all the way.

I'm closing this bug.